#include ".\inc\ch549.h"
#include <absacc.h>
#include <stdio.h>

void PrintLine(unsigned int addr)
{
   unsigned char i;
   printf("c:%04X",addr);
   for (i=0;i<16;i++)
   {
      printf(" %02bX",CBYTE[addr+i]);
   }
   printf("\n");
}

void Uart0SimpleInit(unsigned char reload,smod)
{
  if(smod) PCON |=  SMOD;
  else     PCON &= ~SMOD; 

  TMOD  = (TMOD &~ MASK_T1_MOD) | bT1_M1; /* auto reload 8 bit timer*/
  T2MOD = T2MOD | bTMR_CLK | bT1_CLK;     /* runing at fsys */         
  TH1   = reload;                         /* load the calculated reload value*/  
  TR1   = 1;                              /* Timer1 run */                          
  SCON  = 0x52;                           /* 8bit var baudrate */
}

void main (void)
{
   unsigned int i;
   unsigned int addr = BOOT_LOAD_ADDR;
   Uart0SimpleInit(0xF6,1); //should be 57600 @ default 12MHz
   for (i=0; i < ((ROM_CFG_ADDR-BOOT_LOAD_ADDR+2)/16); i++)
   {
      PrintLine(addr);
      addr+=16; 
   }
   while(1);
}